{% extends 'base.html' %}

{% block title %}Job {{ job.obj.metadata.name }}{% endblock %}

{% block content %}
    <div class="content-base list-header">
        <h4>
            <span>Job Details: {{ job.obj.metadata.name }}</span>
            {{ md.entity_info_button(entity=job, class='ml10') }}
        </h4>
    </div>

    <div class="content-base property-container mb40">
        <div class="mdc-list">
            <div class="property-item">
                {{ md.icon('timer') }}
                <span class="mdc-list-item__text">{{ job.obj.status.startTime|k8s_time }}</span>
            </div>
            <div class="property-item">
                {{ md.icon('bar_chart') }}
                <span class="mdc-list-item__text">
                    {% include 'spider_job_status.html' %}
                </span>
            </div>
            {% if job.obj.metadata.labels.from_cron %}
                <div class="property-item">
                    {{ md.icon('timelapse') }}
                    <span class="mdc-list-item__text">
                        From Cron: {{ job.obj.metadata.labels.from_cron }}
                    </span>
                </div>
            {% endif %}
            <div class="property-item">
                {{ md.icon('bug_report') }}
                <span class="mdc-list-item__text">
                    <a href="{{ url_for('spider_detail', name=job.obj.metadata.labels.spider) }}">
                        {{ job.obj.metadata.labels.spider }}
                    </a>
                </span>
            </div>
        </div>
    </div>

    <div class="content-base list-header">
        <h4>Pods for {{ job.obj.metadata.name}}</h4>
    </div>

    <div class="content-base no-pad">
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>
                <th>Status</th>
                <th>Start Time</th>
                <th>Finish Time</th>
            </tr>
            </thead>
            <tbody>
            {% for pod in pods %}
                <tr>
                    <td>
                        <a href="{{ url_for('spider_pod_detail', name=pod.obj.metadata.name) }}">
                            {{ pod.obj.metadata.name }}
                        </a>
                        {{ md.entity_info_button(entity=pod, class='small-icon ml5') }}
                    </td>
                    <td>
                        {{ pod.obj.status.phase }}
                    </td>
                    <td>
                        {{ pod.obj.metadata.creationTimestamp|k8s_time }}
                    </td>
                    <td>
                        {% if
                                pod.obj.status.containerStatuses[0].state.terminated and
                                pod.obj.status.containerStatuses[0].state.terminated.finishedAt %}
                            {{ pod.obj.status.containerStatuses[0].state.terminated.finishedAt|k8s_time }}
                        {% else %}
                            Not terminated yet
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            {% if not pods %}
                <tr>
                    <td class="empty-msg">No pods</td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
            {% endif %}
            </tbody>
        </table>
    </div>
{% endblock %}
